<?php
include 'header.php';
include 'mysqli_connect.php';

$sql = "SELECT id, name, comment FROM guestbook";
$result = $conn->query($sql);
?>

<h2>Guestbook Entries</h2>
<?php if ($result->num_rows > 0): ?>
    <ul>
        <?php while ($row = $result->fetch_assoc()): ?>
            <li><strong><?php echo htmlspecialchars($row['name']); ?>:</strong> <?php echo htmlspecialchars($row['comment']); ?></li>
        <?php endwhile; ?>
    </ul>
<?php else: ?>
    <p>No entries yet. Be the first to comment!</p>
<?php endif; ?>

<a href="comment.php">Add a Comment</a>

<?php
include 'footer.php';
$conn->close();
?>
