<?php
session_start();
include('mysqli_connect.php');
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $username = mysqli_real_escape_string($dbc, $_POST['username']);
    $password = $_POST['password'];

    // Check for hard-coded admin login
    if ($username == 'admin' && $password == 'admin') {
        $_SESSION['user_id'] = 'admin'; // Assign a unique identifier for the admin
        $_SESSION['is_admin'] = 1; // Mark as admin
        header('Location: admin_dashboard.php'); // Redirect to the admin dashboard
        exit();
    }

    // For regular users, handle login using the users table
    $query = "SELECT * FROM users WHERE email='$username'";
    $result = mysqli_query($dbc, $query);
    $user = mysqli_fetch_assoc($result);

    if ($user && password_verify($password, $user['pass'])) {
        $_SESSION['user_id'] = $user['user_id'];
        $_SESSION['is_admin'] = isset($user['is_admin']) ? $user['is_admin'] : 0; // Check admin status
        header('Location: index.php'); // Redirect to homepage
        exit();
    } else {
        echo "Invalid credentials!";
    }
}
?>
<!DOCTYPE html>
<html>
<head>
    <link rel="stylesheet" href="style.css">
</head>
<body>
<?php include 'navbar.php'; ?>
<div class="container">
    <h1>Login</h1>
    <form action="login.php" method="post">
        <input type="text" name="username" placeholder="Username or Email" required>
        <input type="password" name="password" placeholder="Password" required>
        <button type="submit">Login</button>
    </form>
</div>
</body>
</html>